%define svndate 20081028
Name:          jing08
Version:       0.1
Release:       %mkrel 0.20081028.1
Summary:       Schema validation and conversion based on RELAX NG
Group:         Development/Java
License:       BSD
Url:           http://www.thaiopensource.com/relaxng/jing.html
Source0:       http://jing-trang.googlecode.com/files/jing-20081028.zip
Source1:       jing-20081028-build.xml
Source2:       jing-20081028.pom

BuildRequires: ant
BuildRequires: isorelax
BuildRequires: jpackage-utils
BuildRequires: saxon == 6.5.5
BuildRequires: xalan-j2
Requires:      isorelax
Requires:      jpackage-utils
Requires:      saxon == 6.5.5
Requires:      xalan-j2
BuildArch:     noarch

%description
Jing is an implementation of RELAX NG, a schema language for XML.
RELAX NG has been standardized by OASIS and is in the
final stages of standardization by ISO as ISO/IEC 19757-2.
Jing validates an XML document against a RELAX NG schema.
Jing supports both the original XML syntax for RELAX NG schemas,
and the more recent non-XML compact syntax.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
A RELAX NG validator.

This package contains documentation for %{name}

%prep
%setup -q -n jing-%{svndate}

cp %{SOURCE1} build.xml

mkdir src

( 
	cd src
	unzip -q ../src.zip 
)

for j in $(find . -name "*.jar"); do
     mv $j $j.no
done

%build

export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath isorelax saxon xalan-j2)
CLASSPATH=$CLASSPATH:src/test-input:target/classes:target/test-classes
ant dist javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/lib/jing-%{svndate}.jar \
	%{buildroot}%{_javadir}/jing08.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-jing08.pom
%add_maven_depmap JPP-jing08.pom jing08.jar

mkdir -p %{buildroot}%{_javadocdir}/jing08
cp -pr javadoc/* %{buildroot}%{_javadocdir}/jing08

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jing08.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc readme.html

%files javadoc
%{_javadocdir}/jing08



%changelog
* Wed Jul 20 2011 dmorgan <dmorgan> 0.1-0.20081028.1.mga2
+ Revision: 127477
- Clean spec file

  + gil <gil>
    - imported package jing08


* Wed Jul 20 2011 gil <gil> 0.1-0.%%mkrel
- initial rpm

